# Method: devices.get

Retrieves the specified device.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1beta1/{name=devices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{deviceId}`, where deviceId is the unique ID assigned to the Device. |

### Query parameters

| Parameters ||
|---|---|
| `customer` | `string` Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Customer in format: `customers/{customerId}`, where customerId is the customer to whom the device belongs. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices#Device`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.devices.readonly`
- `https://www.googleapis.com/auth/cloud-identity.devices`
- `https://www.googleapis.com/auth/cloud-identity`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).